# https://stackoverflow.com/questions/38088279/communication-between-multiple-docker-compose-projects
version: '3.5'
services:
  camera-presence:
    container_name: camera-presence
    image: camera-presence
    networks:
      - tcc_net
    build:
      context: .
    volumes:
      - .:/workspace:cached
    ports:
        - 5000:5000
    command: sleep infinity
    restart: unless-stopped

  rtsp-server:
    image: aler9/rtsp-simple-server
    environment:
        - RTSP_PROTOCOLS=tcp
    networks:
        - tcc_net
    ports:
        - 8554:8554
        - 1935:1935
        - 8888:8888

    restart: unless-stopped

  looping-sample:
    image: jrottenberg/ffmpeg
    links:
      - "rtsp-server:rtsp-server"
    networks:
      - tcc_net
    depends_on:
      - rtsp-server
    volumes:
       - ./samples/sample.mp4:/tmp/file.mp4
    command: -re -stream_loop -1 -i /tmp/file.mp4 -c copy -f rtsp rtsp://rtsp-server:8554/looping-sample

  mqtt-server:
    container_name: mqtt-server
    image: eclipse-mosquitto
    networks:
        - tcc_net
    ports:
        - 1883:1883
    # volumes:
    #     - mosquitto.conf:/mosquitto/config/mosquitto.conf
    # cp mosquitto-no-auth.conf mosquitto/config/mosquitto.conf
    restart: unless-stopped

networks:
  tcc_net:
    name: tcc_net
    driver: bridge

